#ifndef __RUTER_H
#define __RUTER_H

#include <algorithm>
#include <fstream>
#include <iostream>
#include <map>
#include <string>

#include "bane.h"
#include "buss.h"
#include "lesData3.h"
#include "rute.h"
#include "hjelpeFunksjoner.h"

class Ruter {  //: public Rute
   private:
    HjelpeFunksjoner hjelp;

   public:
    std::map<int, Rute*> alleRuter;
    Ruter();
    virtual ~Ruter();
    Rute* hentEksisterende(int nr);
    void ny(const int& nr);
    void skrivMeny();
    void meny(const char& valg);
    void skrivKortData();
    // void skrivData();
    void skrivData(Rute* rute);
    void spesifikkRuteData(const int& ruteNr);
    void endre();
    int lesRute();
    void lesFraFil();
    void skrivTilFil();
};

#endif  //__RUTER_H